$packageName = 'dotnetdash'
$url = "https://github.com/RobotDotNet/DotNetDash/releases/download/$env:chocolateyPackageVersion/DotNetDash.zip"
$unzipLocation = $(Split-Path -parent $MyInvocation.MyCommand.Definition)
$desktopPath = [Environment]::GetFolderPath("Desktop")
$lnkPath = $desktopPath + "\DotNetDash.lnk"
$exePath = $unzipLocation + "\" + $packageName + ".exe"
$checksum = "0510AD37299B9AC9055C41C2401059694B4D40BDA17F54B4C1D22D65E50273CF"
$checksumType = "sha256"

Write-Host "Uninstalling previous version"
Remove-Item $unzipLocation -Force -Recurse -Exclude $unzipLocation\logs,$unzipLocation\Plugins -ErrorAction SilentlyContinue
Write-Host "Done"

Install-ChocolateyZipPackage $packageName $url $unzipLocation -Checksum $checksum -ChecksumType $checksumType
Install-ChocolateyShortcut -shortcutFilePath $lnkPath -targetPath $exePath
